Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 423743 - =net-analyzer/wireshark-1.8.0[gtk]: ui/gtk/libgtkui.a(libgtkui_a-plugins_dlg.o): undefined reference to symbol 'g_module_name'
Summary: =net-analyzer/wireshark-1.8.0[gtk]: ui/gtk/libgtkui.a(libgtkui_a-plugins_dlg....
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Peter Volkov (RETIRED)
URL:
Whiteboard:
Keywords: PATCH
: 423807 (view as bug list)
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-06-27 07:37 UTC by Lars Wendler (Polynomial-C)
Modified: 2012-07-04 20:41 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,74.22 KB, application/x-xz)
2012-06-27 07:39 UTC, Lars Wendler (Polynomial-C)
Details
Include gmodule when linking wireshark (wireshark-1.8.0-gmodule-link.patch,1.06 KB, patch)
2012-06-27 13:37 UTC, Marien Zwart (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2012-06-27 07:37:31 UTC
libtool: link: x86_64-pc-linux-gnu-gcc -march=barcelona -mtune=barcelona -O2 -pipe -Wall -W -Wextra -Wdeclaration-after-statement -Wendif-labels -Wpointer-arith -Wno-pointer-sign -Warray-bounds -Wcast-align -Wformat-security -Wold-style-definition -Wno-error=unused-but-set-variable -fexcess-precision=fast -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed -Wl,--as-needed -o .libs/wireshark wireshark-capture-pcap-util-unix.o wireshark-capture-pcap-util.o wireshark-cfile.o wireshark-clopts_common.o wireshark-disabled_protos.o wireshark-frame_data_sequence.o wireshark-packet-range.o wireshark-print.o wireshark-ps.o wireshark-sync_pipe_write.o wireshark-timestats.o wireshark-tap-megaco-common.o wireshark-tap-rtp-common.o wireshark-version_info.o wireshark-capture_ifinfo.o wireshark-capture_sync.o wireshark-capture_ui_utils.o wireshark-airpcap_loader.o wireshark-capture.o wireshark-capture_info.o wireshark-capture_opts.o wireshark-color_filters.o wireshark-file.o wireshark-fileset.o wireshark-filters.o wireshark-g711.o wireshark-merge.o wireshark-proto_hier_stats.o wireshark-recent.o wireshark-summary.o wireshark-tempfile.o wireshark-u3.o .libs/wiresharkS.o -Wl,-rpath -Wl,/usr/lib64 -Wl,--export-dynamic  -L/usr/lib -L/usr/local/lib ui/gtk/libgtkui.a ui/gtk/libgtkui_dirty.a ui/libui.a codecs/libcodec.a wiretap/.libs/libwiretap.so epan/.libs/libwireshark.so wsutil/.libs/libwsutil.so -L/usr/lib64 -lpcap -lgnutls -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0 -lm -lz -pthread
/usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/../../../../x86_64-pc-linux-gnu/bin/ld: ui/gtk/libgtkui.a(libgtkui_a-plugins_dlg.o): undefined reference to symbol 'g_module_name'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/../../../../x86_64-pc-linux-gnu/bin/ld: note: 'g_module_name' is defined in DSO /usr/lib64/libgmodule-2.0.so.0 so try adding it to the linker command line
/usr/lib64/libgmodule-2.0.so.0: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[2]: *** [wireshark] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-analyzer/wireshark-1.8.0/work/wireshark-1.8.0'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-analyzer/wireshark-1.8.0/work/wireshark-1.8.0'
make: *** [all] Error 2
 * ERROR: net-analyzer/wireshark-1.8.0 failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=net-analyzer/wireshark-1.8.0'`,
 * the complete build log and the output of `emerge -pqv '=net-analyzer/wireshark-1.8.0'`.
 * The complete build log is located at '/var/tmp/portage/net-analyzer/wireshark-1.8.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-analyzer/wireshark-1.8.0/temp/environment'.
 * Working directory: '/var/tmp/portage/net-analyzer/wireshark-1.8.0/work/wireshark-1.8.0'
 * S: '/var/tmp/portage/net-analyzer/wireshark-1.8.0/work/wireshark-1.8.0'

>>> Failed to emerge net-analyzer/wireshark-1.8.0, Log file:

>>>  '/var/tmp/portage/net-analyzer/wireshark-1.8.0/temp/build.log'

 * Messages for package net-analyzer/wireshark-1.8.0:

 * ERROR: net-analyzer/wireshark-1.8.0 failed (compile phase):
 *   emake failed


# emerge --info
Portage 2.2.0_alpha113 (default/linux/amd64/10.0/desktop/kde, gcc-4.6.3-asneeded, glibc-2.14.1-r3, 3.2.21 x86_64)
=================================================================
System uname: Linux-3.2.21-x86_64-Quad-Core_AMD_Opteron-tm-_Processor_2389-with-gentoo-2.1
Timestamp of tree: Wed, 27 Jun 2012 06:00:01 +0000
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2, 4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo kde-sunset poly-c
Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=barcelona -mtune=barcelona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-3.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/X11/Sessions /etc/X11/app-defaults /etc/X11/xinit /etc/adobe /etc/bonobo-activation /etc/ca-certificates /etc/ca-certificates.conf /etc/dbus-1 /etc/env.d /etc/fonts /etc/fonts/fonts.conf /etc/foomatic /etc/games /etc/gconf /etc/gentoo-release /etc/gimp /etc/gnome-vfs-2.0 /etc/gre.d /etc/gtk-2.0 /etc/hp /etc/hsqldb /etc/htdig /etc/init.d /etc/iproute2 /etc/java-config-2 /etc/lftp /etc/logrotate.d /etc/ntop /etc/opt /etc/pango /etc/profile.d /etc/qt4 /etc/revdep-rebuild /etc/sandbox.d /etc/sasl2 /etc/sensors.d /etc/sgml /etc/sound /etc/ssl /etc/ssmtp /etc/t1lib /etc/terminfo /etc/vbox /etc/xdg /etc/xinetd.d /etc/xml"
CXXFLAGS="-march=barcelona -mtune=barcelona -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --with-bdeps=y --misspell-suggestions=n --autounmask=n --quiet-build=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo"
INSTALL_MASK="/lib/systemd /lib32/systemd /lib64/systemd /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j8"
PKGDIR="/opt/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde-sunset /usr/local/portage"
SYNC="rsync://192.168.0.254/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 berkdb branding bzip2 cairo caps cdda cdr cli cracklib crypt css cups cxx dbus declarative dri dts dvd dvdr emboss encode exif faac fam ffmpeg firefox flac gdbm gif gmp gnutls gtk iconv idn inotify jpeg jpeg2k kde kipi lame lcms libnotify lzma mad matroska midi mmap mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nsplugin ogg opengl openmp pam pango pcre pdf phonon plasma png ppds pppd qt3support qt4 quicktime readline rtmp schroedinger sdl semantic-desktop session slang spell sse sse2 ssl startup-notification svg theora threads tiff truetype twolame udev unicode upower usb vaapi vcd vorbis vpx wxwidgets x264 xcb xcomposite xinerama xml xorg xscreensaver xulrunner xv xvid zlib zsh-completion" ALSA_CARDS="emu10k1 hda-intel usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev joystick" KERNEL="linux" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

# emerge -qpv wireshark
[ebuild  N    ] net-analyzer/wireshark-1.8.0  USE="-adns -ares caps -doc -doc-pdf -gcrypt geoip gtk -ipv6 -kerberos -lua pcap -portaudio -profile -python (-selinux) -smi ssl threads zlib"
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2012-06-27 07:39:28 UTC
Created attachment 316387 [details]
build.log.xz
Comment 2 Miroslav Šulc gentoo-dev 2012-06-27 08:40:14 UTC
i have this issue too.

# emerge --info '=net-analyzer/wireshark-1.8.0'
Portage 2.1.11.2 (default/linux/amd64/10.0/desktop/gnome, gcc-4.6.3, glibc-2.15-r2, 3.4.3-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.3-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_Q_720_@_1.60GHz-with-gentoo-2.1
Timestamp of tree: Wed, 27 Jun 2012 07:30:01 +0000
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo proaudio caio fordfrog x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.3 google-talkplugin Oracle-BCLA-JavaSE skype-4.0.0.7-copyright"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://gentoo.mirror.web4u.cz/ ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo"
LANG="cs_CZ.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="cs en"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/pro-audio /var/lib/layman/caio /home/fordfrog/data/src/gentoo/fordfrog.git /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cups cvs cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gif git gnome gnome-keyring gnome-online-accounts gphoto2 gpm gstreamer gtk gtk3 iconv jack jpeg laptop lcms libnotify mad mercurial mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl nsplugin ogg opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio qt3support qt4 readline realtime scanner sdl session socialweb spell sse sse2 sse4_1 ssl ssse3 startup-notification subversion svg tiff truetype udev udisks unicode upower usb vorbis wifi wxwidgets x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DVB_CARDS="dibusb-usb1 dibusb-usb2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="cs en" NETBEANS_MODULES="*" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="jruby" SANE_BACKENDS="genesys" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

[ebuild  N     ] net-analyzer/wireshark-1.8.0  USE="caps geoip gtk pcap ssl zlib -adns -ares -doc -doc-pdf -gcrypt -ipv6 -kerberos -lua -portaudio -profile -python (-selinux) -smi -threads"
Comment 3 Rafał Mużyło 2012-06-27 09:46:18 UTC
That's probably just wireshark reporting a need for a fix in regard of one of glib 2.32 changes (namely "Linking against GIO no longer drags in gmodule.").
Comment 4 Stefan Wimmer 2012-06-27 09:55:06 UTC
Same here ...
And above all wireshark-1.6.8 was blocking 1.8.0 so I first had to unmerge it.


emerge --info '=net-analyzer/wireshark-1.8.0'                                                                                                                            6:47:47
Portage 2.1.11.2 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.15-r2, 3.4.3-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.3-gentoo-x86_64-Genuine_Intel-R-_CPU_U7300_@_1.30GHz-with-gentoo-2.1
Timestamp of tree: Wed, 27 Jun 2012 04:15:01 +0000
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.4.7, 4.5.3-r2, 4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo mpd xwing lcd-filtering Local
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--color y --with-bdeps y --keep-going --quiet-build y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.tiscali.nl/ http://mirror.netcologne.de/gentoo/ http://mirror.leaseweb.com/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="--jobs=5 --load-average=8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/mpd /var/lib/layman/xwing /var/lib/layman/lcd-filtering /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 berkdb bzip2 cairo cli consolekit cracklib crypt cups curl cxx dbus device-mapper dri exif flac fortran gdbm gif gpm gtk gtk3 iconv ipv6 jpeg libnotify mmx modules mp3 mudflap multilib ncurses nls nptl ogg opengl openmp pam pcre png policykit pppd qt3support qt4 readline session sse sse2 ssl startup-notification svg tcpd tiff truetype udev unicode vim-syntax vorbis x264 xorg xulrunner zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="directory ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel displaylink" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2012-06-27 11:11:12 UTC
*** Bug 423807 has been marked as a duplicate of this bug. ***
Comment 6 Marien Zwart (RETIRED) gentoo-dev 2012-06-27 13:37:04 UTC
Created attachment 316439 [details, diff]
Include gmodule when linking wireshark

The Makefile.am claims including GLIB_LIBS when linking wireshark is unnecessary, because wireshark links to GTK_LIBS which is a superset. It is not actually a superset: gmodule is included in GLIB_LIBS but not in GTK_LIBS (unless accidentally on older glibs/gtks). So just include GLIB_LIBS when linking wireshark. Ebuild patch that adds a src_prepare that applies this patch and calls eautoreconf left as an exercise for the reader.
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2012-06-27 19:17:29 UTC
(In reply to comment #4)
> Same here ...
> And above all wireshark-1.6.8 was blocking 1.8.0 so I first had to unmerge
> it.

That's bug #394479.
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2012-06-27 19:25:22 UTC
I don't seem to have a system with glib 2.32 here - could someone verify wireshark builds with Marien's patch?
Comment 9 Steev Klimaszewski (RETIRED) gentoo-dev 2012-06-27 19:39:13 UTC
Can confirm that the patch does work.  My autofu is weak though, so not sure if eautoreconf is causing it or not, but --enable-threads isn't recognized anymore (istr that it isn't valid with 1.8.0)
Comment 10 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-06-27 19:41:21 UTC
The autotools guy says yes :P Marien's patch is good.
Comment 11 Jeroen Roovers (RETIRED) gentoo-dev 2012-06-27 20:22:00 UTC
(In reply to comment #10)
> The autotools guy says yes :P Marien's patch is good.

In that case, why don't you (properly) fix bug #394479, too?
Comment 12 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-06-27 20:42:24 UTC
Alas, because there really isn't much to be done to fix that — the main issue is with ordering of libraries, but last I checked wireshark's buildsystem had to be rewritten for that to work at all.
Comment 13 Jeroen Roovers (RETIRED) gentoo-dev 2012-06-27 20:46:25 UTC
Er, jlec seems to be screwing around with this right now, so I guess we're IN PROGRESS.
Comment 14 Jeroen Roovers (RETIRED) gentoo-dev 2012-06-27 20:48:21 UTC
@jlec: Pay attention please.
Comment 15 Justin Lecher (RETIRED) gentoo-dev 2012-06-27 20:50:37 UTC
it is fixed. Glib-2.32 remove lgmodule-2 from the pkg-config files. It need to be added by the buildsystem back.
Let me double check, but I think my fix was correct.
Comment 16 Justin Lecher (RETIRED) gentoo-dev 2012-06-27 20:55:14 UTC
Okay, in contrast to the good plain gnome apps, which handle the deps straighter, this seems to be somehow homebrewn. But it is correct, GLIB_LIBS contains the missing stuff. Closing for now.
Comment 17 Jeroen Roovers (RETIRED) gentoo-dev 2012-06-27 21:00:36 UTC
I committed steev's changes wrt IUSE=threads.

(In reply to comment #16)
> Okay, in contrast to the good plain gnome apps, which handle the deps
> straighter, this seems to be somehow homebrewn. But it is correct, GLIB_LIBS
> contains the missing stuff. Closing for now.

So you sent it upstream?
Comment 18 Justin Lecher (RETIRED) gentoo-dev 2012-06-27 21:02:48 UTC
(In reply to comment #17)
> I committed steev's changes wrt IUSE=threads.
> 
> (In reply to comment #16)
> > Okay, in contrast to the good plain gnome apps, which handle the deps
> > straighter, this seems to be somehow homebrewn. But it is correct, GLIB_LIBS
> > contains the missing stuff. Closing for now.
> 
> So you sent it upstream?

no
Comment 19 Samuli Suominen gentoo-dev 2012-07-01 19:24:04 UTC
(In reply to comment #17)
> I committed steev's changes wrt IUSE=threads.
> 
> (In reply to comment #16)
> > Okay, in contrast to the good plain gnome apps, which handle the deps
> > straighter, this seems to be somehow homebrewn. But it is correct, GLIB_LIBS
> > contains the missing stuff. Closing for now.
> 
> So you sent it upstream?

I did,

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7427
Comment 20 Samuli Suominen gentoo-dev 2012-07-04 20:41:33 UTC
The fix is now in upstream repository.